Skip to navigation

Get a location

One own or partner location with its EVSEs, connectors and tariff summary, addressed by the CPO's country code and party id.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

location_idstringRequired1-39 characters
OCPI location id.

Query parameters

country_codestringRequiredformat: "^[A-Z]{2}$"
The CPO's OCPI country code, e.g. NL.
party_idstringRequiredformat: "^[A-Z0-9]{3}$"
The CPO's OCPI party id, e.g. ABC.

Response

The location with its EVSEs, connectors and tariff summary.
uidstring
sourcestring
organization_idstring
country_codestring
party_idstring
location_idstring
cpo_idstring
last_updateddatetime
evseslist of objects
namestring or nullOptional
addressstring or nullOptional
citystring or nullOptional
postal_codestring or nullOptional
countrystring or nullOptional
time_zonestring or nullOptional
parking_typestring or nullOptional
publishboolean or nullOptional
latitudestring or nullOptional
longitudestring or nullOptional
facilitieslist of strings or nullOptional
tariff_summarylist of objects or nullOptional

Errors

401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error